import { formatTime, parseTime, cdn, desens } from '@/utils/index.js'
import store from '@/store'

export default {
    components: { },
    filters: {
        $formatTime:formatTime, $parseTime:parseTime, $cdn: cdn, $desens: desens
    },
    data() {
        return {
            isMobile: true,
            mobileScale: null
        }
    },
    watch: {
        $userInfo:{
            deep: true,
            handler(){

            }
        }
    },
    computed: {
        $userInfo() {
            return store.state.userInfo
        },
        $config(){
            return store.state.config
        },
		$defaultHead(){
			return store.state.config ?. default_head
		}
     },
    created() {

    },
    methods: {
        $cdn: cdn,
        $desens: desens
    }
}
